Classes | Functions
clanDisplay Resources

## Classes
class | clan::DisplayCache

## Functions
virtual | clan::DisplayCache::~DisplayCache ()
static DisplayCache & | clan::DisplayCache::get (const ResourceManager &resources)
virtual Resource< Font > | clan::DisplayCache::get_font (Canvas &canvas, const std::string &family_name, const FontDescription &desc)=0
virtual Resource< Image > | clan::DisplayCache::get_image (Canvas &canvas, const std::string &id)=0
virtual Resource< Sprite > | clan::DisplayCache::get_sprite (Canvas &canvas, const std::string &id)=0
virtual Resource< Texture > | clan::DisplayCache::get_texture (GraphicContext &gc, const std::string &id)=0
static void | clan::DisplayCache::set (ResourceManager &resources, const std::shared_ptr< DisplayCache > &cache)

## Detailed Description

## Function Documentation

virtual clan::DisplayCache::~DisplayCache | ( |  | ) |
| inline virtual

static DisplayCache& clan::DisplayCache::get | ( | const ResourceManager & | resources | ) |
| static

virtual Resource<Font> clan::DisplayCache::get_font | ( | Canvas & | canvas,
|  | const std::string & | family_name,
|  | const FontDescription & | desc
| ) |  |
| pure virtual

virtual Resource<Image> clan::DisplayCache::get_image | ( | Canvas & | canvas,
|  | const std::string & | id
| ) |  |
| pure virtual

virtual Resource<Sprite> clan::DisplayCache::get_sprite | ( | Canvas & | canvas,
|  | const std::string & | id
| ) |  |
| pure virtual

virtual Resource<Texture> clan::DisplayCache::get_texture | ( | GraphicContext & | gc,
|  | const std::string & | id
| ) |  |
| pure virtual

static void clan::DisplayCache::set | ( | ResourceManager & | resources,
|  | const std::shared_ptr< DisplayCache > & | cache
| ) |  |
| static